#!/bin/bash

# CREATE TABLE test.test (
#     id   INT UNSIGNED NOT NULL AUTO_INCREMENT
#   , data VARCHAR(64)
#   , ts   TIMESTAMP
#   , PRIMARY KEY (id)
# ) ENGINE = ...;

USER=root
PASSWORD=
HOST=master
PORT=3317
VERSION=5.1

while [ 1 ] ; do

  case "$VERSION" in
  '5.0')
    mysql --user=$USER --password=$PASSWORD --host=$HOST --port=$PORT --protocol=tcp --execute="INSERT INTO test.test VALUES (NULL, CONCAT('App sim from ', USER(), ' on server'), NULL)"
    ;;
  '5.1' | '6.0')
    mysql --user=$USER --password=$PASSWORD --host=$HOST --port=$PORT --protocol=tcp --execute="INSERT INTO test.test SELECT NULL, CONCAT('App sim from ', USER(), ' on ', VARIABLE_VALUE), NULL FROM INFORMATION_SCHEMA.GLOBAL_VARIABLES where VARIABLE_NAME = 'hostname'"
    ;;
  *)
    echo "Version $VERSION is not (yet) supported."
    ;;
  esac

  echo -n "."
  sleep 1
done

